# exception-private.h File Reference

`#include "magick/log.h"`

Go to the source code of this file.

## Defines

#define | ThrowBinaryException(severity, tag, context)
#define | ThrowFatalException(severity, tag)
#define | ThrowFileException(exception, severity, tag, context)
#define | ThrowImageException(severity, tag)
#define | ThrowReaderException(severity, tag)
#define | ThrowWriterException(severity, tag)

## Define Documentation

#define ThrowBinaryException | ( | severity,
|  | tag,
|  | context |  | ) |

Value:

    { \
      if (image != (Image *) NULL) \
        (void) ThrowMagickException(&image->exception,GetMagickModule(),severity, \
          tag == (const char *) NULL ? "unknown" : tag,"`%s'",context); \
      return(MagickFalse); \
    }

#define ThrowFatalException | ( | severity,
|  | tag |  | ) |

Value:

    { \
      ExceptionInfo \
        exception; \
     \
      GetExceptionInfo(&exception); \
      (void) ThrowMagickException(&exception,GetMagickModule(),severity, \
        tag == (const char *) NULL ? "unknown" : tag,"`%s'",strerror(errno)); \
      CatchException(&exception); \
      (void) DestroyExceptionInfo(&exception); \
      _exit(1); \
    }

#define ThrowFileException | ( | exception,
|  | severity,
|  | tag,
|  | context |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),severity, \
        tag == (const char *) NULL ? "unknown" : tag,"`%s': %s",context, \
        strerror(errno)); \
    }

#define ThrowImageException | ( | severity,
|  | tag |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),severity, \
        tag == (const char *) NULL ? "unknown" : tag,"`%s'",image->filename); \
      return((Image *) NULL); \
    }

#define ThrowReaderException | ( | severity,
|  | tag |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),severity, \
        tag == (const char *) NULL ? "unknown" : tag,"`%s'",image_info->filename); \
      if ((image) != (Image *) NULL) \
        { \
          CloseBlob(image); \
          image=DestroyImageList(image); \
        } \
      return((Image *) NULL); \
    }

#define ThrowWriterException | ( | severity,
|  | tag |  | ) |

Value:

    { \
      (void) ThrowMagickException(&image->exception,GetMagickModule(),severity, \
        tag == (const char *) NULL ? "unknown" : tag,"`%s'",image->filename); \
      if (image_info->adjoin != MagickFalse) \
        while (image->previous != (Image *) NULL) \
          image=image->previous; \
      CloseBlob(image); \
      return(MagickFalse); \
    }